aboutsummaryrefslogtreecommitdiff
path: root/optee
diff options
context:
space:
mode:
authorFathi Boudra <fathi.boudra@linaro.org>2017-04-27 19:54:11 +0300
committerFathi Boudra <fathi.boudra@linaro.org>2017-04-28 04:19:39 +0000
commitc79166d29cc2ad713b510c247c6e4e4f5140043d (patch)
tree7112237346f23eea8ed5c27b107f2afa0a724d69 /optee
parent4bcd78225553afffba2e1396636962747916dc57 (diff)
optee-client: initial build job, converted from Travis CI
Change-Id: I8501ce7e1a921564178d5c6874180583c8a713e7 Signed-off-by: Fathi Boudra <fathi.boudra@linaro.org>
Diffstat (limited to 'optee')
-rwxr-xr-xoptee/client/builders.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/optee/client/builders.sh b/optee/client/builders.sh
new file mode 100755
index 00000000..810fdeb2
--- /dev/null
+++ b/optee/client/builders.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+set -e
+
+if ! sudo DEBIAN_FRONTEND=noninteractive apt-get -q=2 update; then
+ echo "INFO: apt update error - try again in a moment"
+ sleep 15
+ sudo DEBIAN_FRONTEND=noninteractive apt-get -q=2 update || true
+fi
+pkg_list="python-requests"
+if ! sudo DEBIAN_FRONTEND=noninteractive apt-get -q=2 install -y ${pkg_list}; then
+ echo "INFO: apt install error - try again in a moment"
+ sleep 15
+ sudo DEBIAN_FRONTEND=noninteractive apt-get -q=2 install -y ${pkg_list}
+fi
+
+set -ex
+
+# Install the cross compiler
+#wget -q http://releases.linaro.org/components/toolchain/binaries/5.3.1-2016.05/arm-linux-gnueabihf/gcc-linaro-5.3.1-2016.05-x86_64_arm-linux-gnueabihf.tar.xz
+#tar xf gcc-linaro-5.3.1-2016.05-x86_64_*.tar.xz
+export PATH="${HOME}/srv/toolchain/gcc-linaro-5.3.1-2016.05-x86_64_arm-linux-gnueabihf/bin:${PATH}"
+which arm-linux-gnueabihf-gcc && arm-linux-gnueabihf-gcc --version
+
+# Several compilation options are checked
+# Explicitely disable parallel make because it's broken
+export make="make -j1"
+${make} clean all
+CFG_TEE_CLIENT_LOG_LEVEL=0 ${make} clean all
+CFG_TEE_CLIENT_LOG_LEVEL=5 ${make} clean all
+CFG_SQL_FS=y ${make} clean all